GET /device/event.json
Summary: Device Adverse Event Reports
Operation ID: getDeviceEvents
Auth: api_key
Operation ID: getDeviceEvents
Auth: api_key
Description
Returns medical device adverse event reports from the Manufacturer and User Facility Device Experience (MAUDE) database. Updated weekly.
Parameters (6)
api_key
(string, query, optional)
Optional API key for higher rate limits (120,000/day vs 1,000/day without key). Request at https://open.fda.gov/apis/authentication/
count
(string, query, optional)
Field to count unique values for (returns aggregation instead of individual records). Use with .exact suffix for exact matches.
limit
(integer, query, optional, default: 1)
Maximum number of results to return (1-1000)
Constraints: {'minimum': 1, 'maximum': 1000}
search
(string, query, optional)
Elasticsearch query string. Use field:value format with +AND+, +OR+ for boolean logic. Replace spaces with +.
skip
(integer, query, optional, default: 0)
Number of results to skip for pagination
Constraints: {'minimum': 0}
sort
(string, query, optional)
Field to sort results by. Use :desc or :asc suffix.
Examples (4)
| Title | Type | URL | Action |
|---|---|---|---|
| Search pacemaker adverse events | curl |
https://api.fda.gov/device/event.json?search=device.brand_name:pacemaker&limit=5 |
|
| Get device events with date range filter | curl |
https://api.fda.gov/device/event.json?search=date_received:[20240101+TO+20241231]&limit=10 |
|
| Count events by device manufacturer | curl |
https://api.fda.gov/device/event.json?count=device.manufacturer_name.exact&limit=20 |
|
| Device Adverse Event Reports | probe-gate |
https://api.fda.gov/device/event.json |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:28:42.630991 | 200 | 890ms | |
| 2026-03-23 09:36:59.899815 | 404 | 6894ms | |
| 2026-03-23 09:14:44.087617 | 200 | 3062ms | |
| 2026-03-23 09:12:18.602535 | 200 | 1062ms | |
| 2026-03-21T23:23:57.070357 | 200 | 3465ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:12:18.602535 | 45cede742c97 |
2e7767e5b2dc |
| 2026-03-23 09:14:44.087617 | 2e7767e5b2dc |
45cede742c97 |
| 2026-03-23 09:36:59.899815 | 45cede742c97 |
31b3fce01c8d |
| 2026-03-23 10:28:42.630991 | 31b3fce01c8d |
c33695ccb275 |